suix_getStakesByIds - Sui
Example code for the suix_getStakesByIds JSON-RPC method. Complete guide on how to use suix_getStakesByIds JSON-RPC in GetBlock Web3 documentation.
Parameters
Parameter
Type
Required
Description
Request Example
curl -X POST https://go.getblock.io/<ACCESS-TOKEN>/ \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": "getblock.io",
"method": "suix_getStakesByIds",
"params": [
[
"0x378423de90ed03b694cecf443c72b5387b29a731d26d98108d7abc4902107d7d",
"0x6a8e0f8fea6fda5488462e58724c034462b6064a08845e2ae2942fe7c4ee816d"
]
]
}'const axios = require('axios');
const payload = {
jsonrpc: '2.0',
id: 'getblock.io',
method: 'suix_getStakesByIds',
params: [[
'0x378423de90ed03b694cecf443c72b5387b29a731d26d98108d7abc4902107d7d',
'0x6a8e0f8fea6fda5488462e58724c034462b6064a08845e2ae2942fe7c4ee816d'
]]
};
axios.post('https://go.getblock.io/<ACCESS-TOKEN>/', payload)
.then(response => console.log(response.data));Response Example
Response Parameters
Parameter
Type
Description
Use Cases
Error Handling
Error Code
Description
SDK Integration
Last updated
Was this helpful?